function WG.Character.Controls ()

-- Player

	-- Stat Bars
	WG.Character.Stat_Frame        = WG.UI.TopLevelWindow ( "Stat_Frame"       , nil                              , { WG.Save.Player.Stats.Size.X + 6 , 73 } , { WG.Save.Player.Stats.Point , nil     , WG.Save.Player.Stats.OffsetX , WG.Save.Player.Stats.OffsetY   } , WG.Save.Player.Stats.Hidden , "Player" , "Stats" )
	WG.Character.Stat_Frame_Back   = WG.UI.Backdrop       ( "Stat_Frame_Back"  , WG.Character.Stat_Frame          , { WG.Save.Player.Stats.Size.X + 6 , 73 } , { nil    , TOPLEFT , 0    , 0   } , { 0 , 0 , 0 , .4 }     , { 0 , 0 , 0 , 0 }   , false )
	
	WG.Character.Health_Back       = WG.UI.Backdrop       ( "Health_Back"      , WG.Character.Stat_Frame          , { WG.Save.Player.Stats.Size.X , 20 } , { nil    , TOPLEFT , 3    , 3   } , WG.Save.Colors.Health.Back  , WG.Save.Colors.Health.Edge   , false )
	WG.Character.Health_Bar        = WG.UI.Statusbar      ( "Health_Bar"       , WG.Character.Health_Back         , { WG.Save.Player.Stats.Size.X , 20 } , { nil    , TOPLEFT , 0    , 0   } , WG.Save.Colors.Health.Main           , false )
	WG.Character.Health_Label      = WG.UI.Label          ( "Health_Label"     , WG.Character.Health_Bar          , { WG.Save.Player.Stats.Size.X , 20 } , { nil    , nil     , 3    , -1  } , { TEXT_ALIGN_LEFT      , TEXT_ALIGN_CENTER } , nil , nil , "number / number" , false )
	WG.Character.Health_Percent    = WG.UI.Label          ( "Health_Percent"   , WG.Character.Health_Bar          , { WG.Save.Player.Stats.Size.X , 20 } , { nil    , nil     , -5   , -1  } , { TEXT_ALIGN_RIGHT     , TEXT_ALIGN_CENTER } , nil , nil , "number %"        , false )
	
	WG.Character.DeathIcon         = WG.UI.Texture        ( "DeathIcon"        , WG.Character.Health_Bar          , { 100 , 100 }, { nil   , nil     , WG.Save.Player.Stats.Size.X - 5 , -15   } , "WarGenesisAddon/Art/Dead.dds"  , true )
	WG.Character.DeathIcon:SetAlpha( 0.65 )
	
	WG.Character.Magicka_Back      = WG.UI.Backdrop       ( "Magicka_Back"     , WG.Character.Stat_Frame          , { WG.Save.Player.Stats.Size.X , 20 } , { nil    , TOPLEFT , 3    , 26  } , WG.Save.Colors.Magicka.Back , WG.Save.Colors.Magicka.Edge  , false )
	WG.Character.Magicka_Bar       = WG.UI.Statusbar      ( "Magicka_Bar"      , WG.Character.Magicka_Back        , { WG.Save.Player.Stats.Size.X , 20 } , { nil    , TOPLEFT , 0    , 0   } , WG.Save.Colors.Magicka.Main          , false )
	WG.Character.Magicka_Label     = WG.UI.Label          ( "Magicka_Label"    , WG.Character.Magicka_Bar         , { WG.Save.Player.Stats.Size.X , 20 } , { nil    , nil     , 3    , -1  } , { TEXT_ALIGN_LEFT      , TEXT_ALIGN_CENTER } , nil , nil , "number / number" , false )
	WG.Character.Magicka_Percent   = WG.UI.Label          ( "Magicka_Percent"  , WG.Character.Magicka_Bar         , { WG.Save.Player.Stats.Size.X , 20 } , { nil    , nil     , -5   , -1  } , { TEXT_ALIGN_RIGHT     , TEXT_ALIGN_CENTER } , nil , nil , "number %"        , false )
	
	WG.Character.Stamina_Back      = WG.UI.Backdrop       ( "Stamina_Back"     , WG.Character.Stat_Frame          , { WG.Save.Player.Stats.Size.X , 20 } , { nil    , TOPLEFT , 3    , 49  } , WG.Save.Colors.Stamina.Back , WG.Save.Colors.Stamina.Edge  , false )
	WG.Character.Stamina_Bar       = WG.UI.Statusbar      ( "Stamina_Bar"      , WG.Character.Stamina_Back        , { WG.Save.Player.Stats.Size.X , 20 } , { nil    , TOPLEFT , 0    , 0   } , WG.Save.Colors.Stamina.Main          , false )
	WG.Character.Stamina_Label     = WG.UI.Label          ( "Stamina_Label"    , WG.Character.Stamina_Bar         , { WG.Save.Player.Stats.Size.X , 20 } , { nil    , nil     , 3    , -1  } , { TEXT_ALIGN_LEFT      , TEXT_ALIGN_CENTER } , nil , nil , "number / number" , false )
	WG.Character.Stamina_Percent   = WG.UI.Label          ( "Stamina_Percent"  , WG.Character.Stamina_Bar         , { WG.Save.Player.Stats.Size.X , 20 } , { nil    , nil     , -5   , -1  } , { TEXT_ALIGN_RIGHT     , TEXT_ALIGN_CENTER } , nil , nil , "number %"        , false )
	WG.Character.Mount_Back        = WG.UI.Backdrop       ( "Mount_Back"       , WG.Character.Stamina_Bar         , { 180 , 13 } , { nil    , TOPLEFT , 25   , 30  } , WG.Save.Colors.Stamina.Back , WG.Save.Colors.Stamina.Edge  , true )
	WG.Character.Mount_Stamina     = WG.UI.Statusbar      ( "Mount_Stamina"    , WG.Character.Stamina_Bar         , { 180 , 13 } , { nil    , TOPLEFT , 25   , 30  } , WG.Save.Colors.Stamina.Main          , true )
	WG.Character.Mount_Icon        = WG.UI.Texture        ( "Mount_Icon"       , WG.Character.Stamina_Bar         , { 25  , 25 }, { nil   , nil       , 0    , 23   } , "ESOUI/art/mounts/tabicon_mounts_down.dds"  , false )
	
	-- Name, Level and Class
	WG.Character.Player_Frame      = WG.UI.TopLevelWindow ( "Player_Frame"     , nil                              , { 275 , 35 } , { WG.Save.Player.Level.Point , nil     , WG.Save.Player.Level.OffsetX , WG.Save.Player.Level.OffsetY } , WG.Save.Player.Level.Hidden , "Player" , "Level" )
	WG.Character.Player_Label      = WG.UI.Label          ( "Player_Label"     , WG.Character.Player_Frame        , { 260 , 20 } , { nil    , nil     , 0    , -5   } , { TEXT_ALIGN_CENTER    , TEXT_ALIGN_CENTER } , nil , nil , "Name(20)"        , false )
	WG.Character.Player_Class      = WG.UI.Texture        ( "Player_Class"     , WG.Character.Player_Frame        , { 30  , 30 } , { nil    , nil     , 0  , -10   } , WG.Character.Class ( "player" ) , false )
	
-- Target

	--Stat Bars
	WG.Character.Target_Frame      = WG.UI.TopLevelWindow ( "Target_Frame"      , nil                             , { WG.Save.Target.Stats.Size.X + 6 , 26 } , { WG.Save.Target.Stats.Point , nil     , WG.Save.Target.Stats.OffsetX  , WG.Save.Target.Stats.OffsetY } , WG.Save.Target.Stats.Hidden , "Target" , "Stats" )
	WG.Character.Target_Frame_Back = WG.UI.Backdrop       ( "Target_Frame_Back" , WG.Character.Target_Frame       , { WG.Save.Target.Stats.Size.X + 6  , 26 } , { nil    , TOPLEFT , 0    , 0   } , { 0 , 0 , 0 , .4  }    , { 0 , 0 , 0 , 0 }   , false )
	
	WG.Character.Target_Back       = WG.UI.Backdrop       ( "Target_Back"       , WG.Character.Target_Frame       , { WG.Save.Target.Stats.Size.X , 20 } , { nil    , TOPLEFT , 3    , 3   } , WG.Save.Colors.Health.Back  , WG.Save.Colors.Health.Edge   , false )
	WG.Character.Target_Bar        = WG.UI.Statusbar      ( "Target_Bar"        , WG.Character.Target_Back        , { WG.Save.Target.Stats.Size.X , 20 } , { nil    , TOPLEFT , 0    , 0   } , WG.Save.Colors.Health.Main          , false )
	WG.Character.Target_Label      = WG.UI.Label          ( "Target_Label"      , WG.Character.Target_Bar         , { WG.Save.Target.Stats.Size.X , 20 } , { nil    , nil     , 3    , -1  } , { TEXT_ALIGN_LEFT      , TEXT_ALIGN_CENTER } , nil , nil , "number / number" , false )
	WG.Character.Target_Percent    = WG.UI.Label          ( "Target_Percent"    , WG.Character.Target_Bar         , { WG.Save.Target.Stats.Size.X , 20 } , { nil    , nil     , -5   , -1  } , { TEXT_ALIGN_RIGHT     , TEXT_ALIGN_CENTER } , nil , nil , "number %"        , false )
	WG.Character.Target_Difficulty = WG.UI.Texture        ( "Target_Difficulty" , WG.Character.Target_Bar         , { WG.Save.Target.Stats.Icon.Size  , WG.Save.Target.Stats.Icon.Size } , { nil    , nil     , -65  , -25   } , "WarGenesisAddon/Art/Difficulty_None.dds" , WG.Save.Target.Stats.Icon.Hidden )
	WG.Character.Target_Difficulty:SetAlpha ( WG.Save.Target.Stats.Icon.Alpha )	

	-- Name, Level and Class
	WG.Character.Target_Name_Label = WG.UI.Label          ( "Target_Name_Label"  , WG.Character.Target_Frame , { WG.Save.Target.Stats.Size.X , 20 } , { nil    , nil     , 0    , -25   } , { TEXT_ALIGN_CENTER    , TEXT_ALIGN_CENTER } , nil , nil , "Name(20)"        , false )
	WG.Character.Target_Class      = WG.UI.Texture        ( "Target_Class"       , WG.Character.Target_Frame , { 30  , 30 } , { nil    , nil     , -10  , -30   } , WG.Character.Class ( "reticleover" ) , false )
	
-- Clock
	WG.Character.Clock_Frame       = WG.UI.TopLevelWindow ( "Clock_Frame"        , nil                       , { 156 , 26 } , { WG.Save.Clock.Pos.Point , nil , WG.Save.Clock.Pos.OffsetX , WG.Save.Clock.Pos.OffsetY } , WG.Save.Clock.Hidden , "Clock" , "Pos" )
	WG.Character.Clock_Time        = WG.UI.Label          ( "Clock_Time"         , WG.Character.Clock_Frame  , { 150 , 20 } , { nil    , nil     , 0    , 0  } , { TEXT_ALIGN_CENTER    , TEXT_ALIGN_CENTER } , "ZoFontAnnounceMedium" , nil , "Time"        , false )
end