local averageXpTable = {}
local averageXpHourlyTable = {}
local timeElapsed = 0

function WG.XP.Average ( lastXp )
	averageXpTotal = 0
	averageXpHourlyTotal = 0
	timeElapsed = GetGameTimeMilliseconds() - timeStart
	
	if ( lastXp > 0 ) then
		table.insert( averageXpTable , lastXp )
	--	averageXpCount = averageXpCount + 1
		
		table.insert( averageXpHourlyTable , lastXp )
	--	averageXpHourlyCount = averageXpHourlyCount + 1
	end	
	
	if ( #averageXpTable >= 5 ) then
		table.remove( averageXpTable, 1 )
	--	averageXpCount = averageXpCount - 1
	end
	
	for index, xpVals in ipairs( averageXpTable ) do
		averageXpTotal = averageXpTotal + xpVals
	end
	averageXp = {}
	if ( averageXpTotal > 0 ) then
		averageXp.total = averageXpTotal / #averageXpTable
	else
		averageXp.total = 0
	end	
	
	if timeElapsed >= 300000 then		
		for vals in pairs( averageXpHourlyTable ) do
			averageXpHourlyTable [vals] = nil			
		end
	--	averageXpHourlyCount = 0
		timeStart = GetGameTimeMilliseconds()
		timeElapsed = 0
	end
	
	if ( timeElapsed < 300000 ) then
		for index, xpVals in ipairs( averageXpHourlyTable ) do
			averageXpHourlyTotal = averageXpHourlyTotal + xpVals
		end
		
		calc = 3600000 / timeElapsed
		multiplyBy = math.floor( calc + 0.5 )
		if ( multiplyBy > 180 ) then
			mutiplyBy = 180
		end
		
		if ( averageXpHourlyTotal > 0 ) then
			hourlyAverage = averageXpHourlyTotal / #averageXpHourlyTable
			averageXp.hourly = hourlyAverage * multiplyBy
		else
			averageXp.hourly = 0
		end
	end
	
	return averageXp
end

function WG.XP.Updated ( eventCode , unitTag , currentExp , maxExp , reason )
	
	if ( unitTag ~= "player" ) then return end
	if ( currentExp == nil or maxExp == nil ) then return end
	endXp     = maxExp     - currentExp
	lastXp    = startXp    - endXp
	xpPercent = currentExp / maxExp * 100
	
	avgXp     = WG.XP.Average ( lastXp )
	
	if ( not IsUnitVeteran ( "player" ) ) then
		WG.XP.XP_Percent:SetText    ( string.format ( "XP %d%%" , xpPercent ) )
		WG.XP.XP_Average:SetText    ( string.format ( "Last 5 Average: %d" , avgXp.total ) )
		WG.XP.XP_Last:SetText       ( string.format ( "Last Gained: %d" , lastXp ) )
		WG.XP.XP_Bar:SetValue       ( xpPercent )	
	
		WG.XP.XP_Hour_Label:SetText ( string.format ( "Hourly XP: %d" , avgXp.hourly ) )
	else
		WG.XP.XP_Percent:SetText    ( string.format ( "Vet Point %d%%" , xpPercent ) )
		WG.XP.XP_Average:SetText    ( string.format ( "Last 5 Average: %d" , avgXp.total ) )
		WG.XP.XP_Last:SetText       ( string.format ( "Last Gained: %d" , lastXp ) )
		WG.XP.XP_Bar:SetValue       ( xpPercent )	
	
		WG.XP.XP_Hour_Label:SetText ( string.format ( "Hourly Vet Points: %d" , avgXp.hourly ) )
	end
	
	startXp = maxExp - currentExp
	
end